%define	name	tree
%define	version	1.5.1
%define	release %mkrel 1

Summary:	A utility which displays a tree view of directory contents
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		File tools
License:	GPL
URL:		http://mama.indstate.edu/users/ice/tree/
Source0:	ftp://mama.indstate.edu/linux/tree/%{name}-%{version}.tar.bz2
Patch0:		%{name}-typopatch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The tree utility recursively displays the contents of directories in a
tree-like format.  Tree is basically a UNIX port of the tree DOS
utility.

Install tree if you think it would be useful to view the contents of
specified directories in a tree-like format.

%prep
%setup -q
%patch0 -p1

%build
rm -f tree
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_sbindir},%{_mandir}/man1}

make	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%doc README LICENSE CHANGES


%changelog
* Fri Feb 02 2007 Lenny Cartier <lenny@mandriva.com> 1.5.1-1mdv2007.0
+ Revision: 115912
- Update to 1.5.1 and regenerate patch
- Import tree



* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 1.5.0-2mdk
- rebuild

* Thu Nov 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.5.0-1mdk
- 1.5.0
- drop P1 (fixed upstream)

* Mon Jun 07 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4b3-3mdk
- fix gcc-3.4 build (P1)

* Mon Apr 19 2004 Michael Scherer <misc@mandrake.org> 1.4b3-2mdk 
- Birthday rebuild

* Wed Feb 26 2003 Aurelien Lemaire <alemaire@mandrakesoft.com> 1.4b3-1mdk
- New version 1.4b3
- Fix source path
- FIx patch file name

* Tue May 14 2002 Aurelien Lemaire <alemaire@mandrakesoft.com> 1.4b2-1mdk
- New version 1.4b2
- Patch updated for new manpage

* Mon Apr 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3-6mdk
- fix typo in manpage

* Wed Feb  6 2002 Aurelien Lemaire <alemaire@mandrakesoft.com> 1.3-5mdk
- rebuild release
- Add URL tag

* Sat Jul  7 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3-4mdk
- remove hardcoded prefix
- reformat spec a bit

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3-3mdk
- macros, BM
- let spechelper compress man-pages

* Sat Jun 03 2000 Etienne Faure <etienne@mandrakesoft.com> 1.3-2mdk
- removed unused patch from sources
- Updated Source URL

* Tue Mar 14 2000 Daouda LO <daouda@mandrakesoft.com> 1.3-1mdk
- Adjust Group
- 1.3 

* Tue Nov 23 1999 Pixel <pixel@linux-mandrake.com>
- build release

* Fri Nov 12 1999 Damien Krotkine <damien@mandrakesoft.com>
- Mandrake release

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- installing in %{_bindir}

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed src url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
